lunedì 21 settembre 2009

Help per DNN 5.1.2 in stile MSDN

E' di oggi l'annuncio dell'uscita di un file help per DNN 5.1.2 in versione .chm. Per chi non lo sapesse i file con estensione .chm sono quelli di help di windows.


A questo indirizzo potete scaricare il file e seguire le istruzioni per l'utilizzo.


giovedì 3 settembre 2009

Rilasciati DotNetNuke 4.9.5 e 5.1.2

Rilasciate le versioni 4.9.5 e 5.1.2 che sono rivolte alla risoluzione di alcuni bug. Di seguito il change log.


DotNetNuke 4.9.5

Major Highlights
  • Fixed issue which caused the starter kit not to install properly
  • Fixed issue where cache was not working properly for web crawlers
Security Fixes
  • HTML/Script Code Injection Vulnerability in ClientAPI
  • HTML/Script Code Injection Vulnerability when operating with multiple languages
Updated Modules/Providers

The following modules and providers have been updated in the 4.9.5 packages. Please see the specific project pages for notes on what bugs or enhancements were corrected with each release.

Modules
  • HTML 04.09.05
  • Events 05.00.02
Assemblies
  • WebControls 02.02.00
  • ClientAPI 04.01.02
Providers
  • none

DotNetNuke 5.1.2

Major Highlights
  • Fixed issue which caused modules not be properly upgraded to 5.x if they were missing a manifest file
  • Fixed issue where register link on the login module did not work when portal was configured for private membership
  • Fixed issue where en-US language was always enabled after an upgrade
  • Fixed issue where the language pack writer was not creating full language packs.
  • Re-added the PageStatePersistence setting to the Host Settings page with additional warning messages.
  • Fixed breaking change in ActionBase where properties were inadvertently removed instead of being marked obsolete.
  • Fixed issue where User settings were relying on default values, but the email API was not aware of the defaults.
  • Fixed issue where the HasObjectDependencies property of ScheduleItem was not properly calculated.
Security Fixes
  • HTML/Script Code Injection Vulnerability in ClientAPI
  • HTML/Script Code Injection Vulnerability when operating with multiple languages
Updated Modules/Providers

The following modules and providers have been updated in the 5.1.2 packages. Please see the specific project pages for notes on what bugs or enhancements were corrected with each release.

Modules
  • HTML 05.01.03
  • Events 05.00.02
Assemblies
  • WebControls 02.02.00
  • ClientAPI 04.01.02
Providers
  • none